import 'package:domain/entity/garage_sale_history_entity.dart';
import 'package:widgets/load_state_layout.dart';

class HistoryState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  String? keyword;
  bool? isLiked;
  List<GarageSaleHistoryList> list;


  HistoryState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.keyword,
    this.isLiked,
    required this.list,
  });

  HistoryState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    String? keyword,
    bool? isLiked,
    Map<String, dynamic>? activeSortMap,
    List<Map<String, dynamic>>? activeCateGoryList,
    List<GarageSaleHistoryList>? list,
  }) {
    return HistoryState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      keyword: keyword ?? this.keyword,
      isLiked: isLiked ?? this.isLiked,
      list: list ?? this.list,
    );
  }
}