import 'package:domain/entity/latest_news_page_entity.dart';
import 'package:widgets/load_state_layout.dart';

class LatestNewsPublishState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<LatestNewsList> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  LatestNewsPublishState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  LatestNewsPublishState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<LatestNewsList>? datas,
  }) {
    return LatestNewsPublishState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
